Makefile.in 24 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. ##################################################################
  13. #
  14. # uEcho for C
  15. #
  16. # Copyright (C) Satoshi Konno 2015
  17. #
  18. # This is licensed under BSD-style license, see file COPYING.
  19. #
  20. ##################################################################
  21. VPATH = @srcdir@
  22. am__is_gnu_make = { \
  23. if test -z '$(MAKELEVEL)'; then \
  24. false; \
  25. elif test -n '$(MAKE_HOST)'; then \
  26. true; \
  27. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  28. true; \
  29. else \
  30. false; \
  31. fi; \
  32. }
  33. am__make_running_with_option = \
  34. case $${target_option-} in \
  35. ?) ;; \
  36. *) echo "am__make_running_with_option: internal error: invalid" \
  37. "target option '$${target_option-}' specified" >&2; \
  38. exit 1;; \
  39. esac; \
  40. has_opt=no; \
  41. sane_makeflags=$$MAKEFLAGS; \
  42. if $(am__is_gnu_make); then \
  43. sane_makeflags=$$MFLAGS; \
  44. else \
  45. case $$MAKEFLAGS in \
  46. *\\[\ \ ]*) \
  47. bs=\\; \
  48. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  49. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  50. esac; \
  51. fi; \
  52. skip_next=no; \
  53. strip_trailopt () \
  54. { \
  55. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  56. }; \
  57. for flg in $$sane_makeflags; do \
  58. test $$skip_next = yes && { skip_next=no; continue; }; \
  59. case $$flg in \
  60. *=*|--*) continue;; \
  61. -*I) strip_trailopt 'I'; skip_next=yes;; \
  62. -*I?*) strip_trailopt 'I';; \
  63. -*O) strip_trailopt 'O'; skip_next=yes;; \
  64. -*O?*) strip_trailopt 'O';; \
  65. -*l) strip_trailopt 'l'; skip_next=yes;; \
  66. -*l?*) strip_trailopt 'l';; \
  67. -[dEDm]) skip_next=yes;; \
  68. -[JT]) skip_next=yes;; \
  69. esac; \
  70. case $$flg in \
  71. *$$target_option*) has_opt=yes; break;; \
  72. esac; \
  73. done; \
  74. test $$has_opt = yes
  75. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  76. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  77. pkgdatadir = $(datadir)/@PACKAGE@
  78. pkgincludedir = $(includedir)/@PACKAGE@
  79. pkglibdir = $(libdir)/@PACKAGE@
  80. pkglibexecdir = $(libexecdir)/@PACKAGE@
  81. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  82. install_sh_DATA = $(install_sh) -c -m 644
  83. install_sh_PROGRAM = $(install_sh) -c
  84. install_sh_SCRIPT = $(install_sh) -c
  85. INSTALL_HEADER = $(INSTALL_DATA)
  86. transform = $(program_transform_name)
  87. NORMAL_INSTALL = :
  88. PRE_INSTALL = :
  89. POST_INSTALL = :
  90. NORMAL_UNINSTALL = :
  91. PRE_UNINSTALL = :
  92. POST_UNINSTALL = :
  93. @UECHO_ENABLE_EXAMPLES_TRUE@am__append_1 = examples
  94. @UECHO_ENABLE_TEST_TRUE@am__append_2 = test
  95. subdir = .
  96. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  97. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  98. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  99. $(ACLOCAL_M4)
  100. DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
  101. $(am__configure_deps) $(am__DIST_COMMON)
  102. am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
  103. configure.lineno config.status.lineno
  104. mkinstalldirs = $(install_sh) -d
  105. CONFIG_HEADER = config.h
  106. CONFIG_CLEAN_FILES =
  107. CONFIG_CLEAN_VPATH_FILES =
  108. AM_V_P = $(am__v_P_@AM_V@)
  109. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  110. am__v_P_0 = false
  111. am__v_P_1 = :
  112. AM_V_GEN = $(am__v_GEN_@AM_V@)
  113. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  114. am__v_GEN_0 = @echo " GEN " $@;
  115. am__v_GEN_1 =
  116. AM_V_at = $(am__v_at_@AM_V@)
  117. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  118. am__v_at_0 = @
  119. am__v_at_1 =
  120. SOURCES =
  121. DIST_SOURCES =
  122. RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  123. ctags-recursive dvi-recursive html-recursive info-recursive \
  124. install-data-recursive install-dvi-recursive \
  125. install-exec-recursive install-html-recursive \
  126. install-info-recursive install-pdf-recursive \
  127. install-ps-recursive install-recursive installcheck-recursive \
  128. installdirs-recursive pdf-recursive ps-recursive \
  129. tags-recursive uninstall-recursive
  130. am__can_run_installinfo = \
  131. case $$AM_UPDATE_INFO_DIR in \
  132. n|no|NO) false;; \
  133. *) (install-info --version) >/dev/null 2>&1;; \
  134. esac
  135. RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
  136. distclean-recursive maintainer-clean-recursive
  137. am__recursive_targets = \
  138. $(RECURSIVE_TARGETS) \
  139. $(RECURSIVE_CLEAN_TARGETS) \
  140. $(am__extra_recursive_targets)
  141. AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  142. cscope distdir distdir-am dist dist-all distcheck
  143. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  144. $(LISP)config.h.in
  145. # Read a list of newline-separated strings from the standard input,
  146. # and print each of them once, without duplicates. Input order is
  147. # *not* preserved.
  148. am__uniquify_input = $(AWK) '\
  149. BEGIN { nonempty = 0; } \
  150. { items[$$0] = 1; nonempty = 1; } \
  151. END { if (nonempty) { for (i in items) print i; }; } \
  152. '
  153. # Make sure the list of sources is unique. This is necessary because,
  154. # e.g., the same source file might be shared among _SOURCES variables
  155. # for different programs/libraries.
  156. am__define_uniq_tagged_files = \
  157. list='$(am__tagged_files)'; \
  158. unique=`for i in $$list; do \
  159. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  160. done | $(am__uniquify_input)`
  161. ETAGS = etags
  162. CTAGS = ctags
  163. CSCOPE = cscope
  164. DIST_SUBDIRS = include lib examples test
  165. am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  166. $(top_srcdir)/config/compile $(top_srcdir)/config/install-sh \
  167. $(top_srcdir)/config/missing ChangeLog config/compile \
  168. config/depcomp config/install-sh config/missing
  169. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  170. distdir = $(PACKAGE)-$(VERSION)
  171. top_distdir = $(distdir)
  172. am__remove_distdir = \
  173. if test -d "$(distdir)"; then \
  174. find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  175. && rm -rf "$(distdir)" \
  176. || { sleep 5 && rm -rf "$(distdir)"; }; \
  177. else :; fi
  178. am__post_remove_distdir = $(am__remove_distdir)
  179. am__relativize = \
  180. dir0=`pwd`; \
  181. sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  182. sed_rest='s,^[^/]*/*,,'; \
  183. sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  184. sed_butlast='s,/*[^/]*$$,,'; \
  185. while test -n "$$dir1"; do \
  186. first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  187. if test "$$first" != "."; then \
  188. if test "$$first" = ".."; then \
  189. dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  190. dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  191. else \
  192. first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  193. if test "$$first2" = "$$first"; then \
  194. dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  195. else \
  196. dir2="../$$dir2"; \
  197. fi; \
  198. dir0="$$dir0"/"$$first"; \
  199. fi; \
  200. fi; \
  201. dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  202. done; \
  203. reldir="$$dir2"
  204. DIST_ARCHIVES = $(distdir).tar.gz
  205. GZIP_ENV = --best
  206. DIST_TARGETS = dist-gzip
  207. distuninstallcheck_listfiles = find . -type f -print
  208. am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  209. | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  210. distcleancheck_listfiles = find . -type f -print
  211. ACLOCAL = @ACLOCAL@
  212. AMTAR = @AMTAR@
  213. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  214. AUTOCONF = @AUTOCONF@
  215. AUTOHEADER = @AUTOHEADER@
  216. AUTOMAKE = @AUTOMAKE@
  217. AWK = @AWK@
  218. CC = @CC@
  219. CCDEPMODE = @CCDEPMODE@
  220. CFLAGS = @CFLAGS@
  221. CPP = @CPP@
  222. CPPFLAGS = @CPPFLAGS@
  223. CXX = @CXX@
  224. CXXDEPMODE = @CXXDEPMODE@
  225. CXXFLAGS = @CXXFLAGS@
  226. CYGPATH_W = @CYGPATH_W@
  227. DEFS = @DEFS@
  228. DEPDIR = @DEPDIR@
  229. ECHO_C = @ECHO_C@
  230. ECHO_N = @ECHO_N@
  231. ECHO_T = @ECHO_T@
  232. EGREP = @EGREP@
  233. EXEEXT = @EXEEXT@
  234. GREP = @GREP@
  235. INSTALL = @INSTALL@
  236. INSTALL_DATA = @INSTALL_DATA@
  237. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  238. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  239. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  240. LDFLAGS = @LDFLAGS@
  241. LIBOBJS = @LIBOBJS@
  242. LIBS = @LIBS@
  243. LTLIBOBJS = @LTLIBOBJS@
  244. MAKEINFO = @MAKEINFO@
  245. MKDIR_P = @MKDIR_P@
  246. OBJEXT = @OBJEXT@
  247. PACKAGE = @PACKAGE@
  248. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  249. PACKAGE_NAME = @PACKAGE_NAME@
  250. PACKAGE_STRING = @PACKAGE_STRING@
  251. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  252. PACKAGE_URL = @PACKAGE_URL@
  253. PACKAGE_VERSION = @PACKAGE_VERSION@
  254. PATH_SEPARATOR = @PATH_SEPARATOR@
  255. RANLIB = @RANLIB@
  256. SET_MAKE = @SET_MAKE@
  257. SHELL = @SHELL@
  258. STRIP = @STRIP@
  259. VERSION = @VERSION@
  260. abs_builddir = @abs_builddir@
  261. abs_srcdir = @abs_srcdir@
  262. abs_top_builddir = @abs_top_builddir@
  263. abs_top_srcdir = @abs_top_srcdir@
  264. ac_ct_CC = @ac_ct_CC@
  265. ac_ct_CXX = @ac_ct_CXX@
  266. am__include = @am__include@
  267. am__leading_dot = @am__leading_dot@
  268. am__quote = @am__quote@
  269. am__tar = @am__tar@
  270. am__untar = @am__untar@
  271. bindir = @bindir@
  272. build_alias = @build_alias@
  273. builddir = @builddir@
  274. datadir = @datadir@
  275. datarootdir = @datarootdir@
  276. docdir = @docdir@
  277. dvidir = @dvidir@
  278. exec_prefix = @exec_prefix@
  279. host_alias = @host_alias@
  280. htmldir = @htmldir@
  281. includedir = @includedir@
  282. infodir = @infodir@
  283. install_sh = @install_sh@
  284. libdir = @libdir@
  285. libexecdir = @libexecdir@
  286. localedir = @localedir@
  287. localstatedir = @localstatedir@
  288. mandir = @mandir@
  289. mkdir_p = @mkdir_p@
  290. oldincludedir = @oldincludedir@
  291. pdfdir = @pdfdir@
  292. prefix = @prefix@
  293. program_transform_name = @program_transform_name@
  294. psdir = @psdir@
  295. runstatedir = @runstatedir@
  296. sbindir = @sbindir@
  297. sharedstatedir = @sharedstatedir@
  298. srcdir = @srcdir@
  299. sysconfdir = @sysconfdir@
  300. target_alias = @target_alias@
  301. top_build_prefix = @top_build_prefix@
  302. top_builddir = @top_builddir@
  303. top_srcdir = @top_srcdir@
  304. SUBDIRS = include lib $(am__append_1) $(am__append_2)
  305. all: config.h
  306. $(MAKE) $(AM_MAKEFLAGS) all-recursive
  307. .SUFFIXES:
  308. am--refresh: Makefile
  309. @:
  310. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  311. @for dep in $?; do \
  312. case '$(am__configure_deps)' in \
  313. *$$dep*) \
  314. echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  315. $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  316. && exit 0; \
  317. exit 1;; \
  318. esac; \
  319. done; \
  320. echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  321. $(am__cd) $(top_srcdir) && \
  322. $(AUTOMAKE) --foreign Makefile
  323. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  324. @case '$?' in \
  325. *config.status*) \
  326. echo ' $(SHELL) ./config.status'; \
  327. $(SHELL) ./config.status;; \
  328. *) \
  329. echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  330. cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  331. esac;
  332. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  333. $(SHELL) ./config.status --recheck
  334. $(top_srcdir)/configure: $(am__configure_deps)
  335. $(am__cd) $(srcdir) && $(AUTOCONF)
  336. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  337. $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  338. $(am__aclocal_m4_deps):
  339. config.h: stamp-h1
  340. @test -f $@ || rm -f stamp-h1
  341. @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  342. stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  343. @rm -f stamp-h1
  344. cd $(top_builddir) && $(SHELL) ./config.status config.h
  345. $(srcdir)/config.h.in: $(am__configure_deps)
  346. ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  347. rm -f stamp-h1
  348. touch $@
  349. distclean-hdr:
  350. -rm -f config.h stamp-h1
  351. # This directory's subdirectories are mostly independent; you can cd
  352. # into them and run 'make' without going through this Makefile.
  353. # To change the values of 'make' variables: instead of editing Makefiles,
  354. # (1) if the variable is set in 'config.status', edit 'config.status'
  355. # (which will cause the Makefiles to be regenerated when you run 'make');
  356. # (2) otherwise, pass the desired values on the 'make' command line.
  357. $(am__recursive_targets):
  358. @fail=; \
  359. if $(am__make_keepgoing); then \
  360. failcom='fail=yes'; \
  361. else \
  362. failcom='exit 1'; \
  363. fi; \
  364. dot_seen=no; \
  365. target=`echo $@ | sed s/-recursive//`; \
  366. case "$@" in \
  367. distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  368. *) list='$(SUBDIRS)' ;; \
  369. esac; \
  370. for subdir in $$list; do \
  371. echo "Making $$target in $$subdir"; \
  372. if test "$$subdir" = "."; then \
  373. dot_seen=yes; \
  374. local_target="$$target-am"; \
  375. else \
  376. local_target="$$target"; \
  377. fi; \
  378. ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  379. || eval $$failcom; \
  380. done; \
  381. if test "$$dot_seen" = "no"; then \
  382. $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  383. fi; test -z "$$fail"
  384. ID: $(am__tagged_files)
  385. $(am__define_uniq_tagged_files); mkid -fID $$unique
  386. tags: tags-recursive
  387. TAGS: tags
  388. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  389. set x; \
  390. here=`pwd`; \
  391. if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  392. include_option=--etags-include; \
  393. empty_fix=.; \
  394. else \
  395. include_option=--include; \
  396. empty_fix=; \
  397. fi; \
  398. list='$(SUBDIRS)'; for subdir in $$list; do \
  399. if test "$$subdir" = .; then :; else \
  400. test ! -f $$subdir/TAGS || \
  401. set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  402. fi; \
  403. done; \
  404. $(am__define_uniq_tagged_files); \
  405. shift; \
  406. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  407. test -n "$$unique" || unique=$$empty_fix; \
  408. if test $$# -gt 0; then \
  409. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  410. "$$@" $$unique; \
  411. else \
  412. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  413. $$unique; \
  414. fi; \
  415. fi
  416. ctags: ctags-recursive
  417. CTAGS: ctags
  418. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  419. $(am__define_uniq_tagged_files); \
  420. test -z "$(CTAGS_ARGS)$$unique" \
  421. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  422. $$unique
  423. GTAGS:
  424. here=`$(am__cd) $(top_builddir) && pwd` \
  425. && $(am__cd) $(top_srcdir) \
  426. && gtags -i $(GTAGS_ARGS) "$$here"
  427. cscope: cscope.files
  428. test ! -s cscope.files \
  429. || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  430. clean-cscope:
  431. -rm -f cscope.files
  432. cscope.files: clean-cscope cscopelist
  433. cscopelist: cscopelist-recursive
  434. cscopelist-am: $(am__tagged_files)
  435. list='$(am__tagged_files)'; \
  436. case "$(srcdir)" in \
  437. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  438. *) sdir=$(subdir)/$(srcdir) ;; \
  439. esac; \
  440. for i in $$list; do \
  441. if test -f "$$i"; then \
  442. echo "$(subdir)/$$i"; \
  443. else \
  444. echo "$$sdir/$$i"; \
  445. fi; \
  446. done >> $(top_builddir)/cscope.files
  447. distclean-tags:
  448. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  449. -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  450. distdir: $(BUILT_SOURCES)
  451. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  452. distdir-am: $(DISTFILES)
  453. $(am__remove_distdir)
  454. test -d "$(distdir)" || mkdir "$(distdir)"
  455. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  456. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  457. list='$(DISTFILES)'; \
  458. dist_files=`for file in $$list; do echo $$file; done | \
  459. sed -e "s|^$$srcdirstrip/||;t" \
  460. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  461. case $$dist_files in \
  462. */*) $(MKDIR_P) `echo "$$dist_files" | \
  463. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  464. sort -u` ;; \
  465. esac; \
  466. for file in $$dist_files; do \
  467. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  468. if test -d $$d/$$file; then \
  469. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  470. if test -d "$(distdir)/$$file"; then \
  471. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  472. fi; \
  473. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  474. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  475. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  476. fi; \
  477. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  478. else \
  479. test -f "$(distdir)/$$file" \
  480. || cp -p $$d/$$file "$(distdir)/$$file" \
  481. || exit 1; \
  482. fi; \
  483. done
  484. @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  485. if test "$$subdir" = .; then :; else \
  486. $(am__make_dryrun) \
  487. || test -d "$(distdir)/$$subdir" \
  488. || $(MKDIR_P) "$(distdir)/$$subdir" \
  489. || exit 1; \
  490. dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  491. $(am__relativize); \
  492. new_distdir=$$reldir; \
  493. dir1=$$subdir; dir2="$(top_distdir)"; \
  494. $(am__relativize); \
  495. new_top_distdir=$$reldir; \
  496. echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  497. echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  498. ($(am__cd) $$subdir && \
  499. $(MAKE) $(AM_MAKEFLAGS) \
  500. top_distdir="$$new_top_distdir" \
  501. distdir="$$new_distdir" \
  502. am__remove_distdir=: \
  503. am__skip_length_check=: \
  504. am__skip_mode_fix=: \
  505. distdir) \
  506. || exit 1; \
  507. fi; \
  508. done
  509. -test -n "$(am__skip_mode_fix)" \
  510. || find "$(distdir)" -type d ! -perm -755 \
  511. -exec chmod u+rwx,go+rx {} \; -o \
  512. ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  513. ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  514. ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  515. || chmod -R a+r "$(distdir)"
  516. dist-gzip: distdir
  517. tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  518. $(am__post_remove_distdir)
  519. dist-bzip2: distdir
  520. tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  521. $(am__post_remove_distdir)
  522. dist-lzip: distdir
  523. tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  524. $(am__post_remove_distdir)
  525. dist-xz: distdir
  526. tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  527. $(am__post_remove_distdir)
  528. dist-tarZ: distdir
  529. @echo WARNING: "Support for distribution archives compressed with" \
  530. "legacy program 'compress' is deprecated." >&2
  531. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  532. tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  533. $(am__post_remove_distdir)
  534. dist-shar: distdir
  535. @echo WARNING: "Support for shar distribution archives is" \
  536. "deprecated." >&2
  537. @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  538. shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  539. $(am__post_remove_distdir)
  540. dist-zip: distdir
  541. -rm -f $(distdir).zip
  542. zip -rq $(distdir).zip $(distdir)
  543. $(am__post_remove_distdir)
  544. dist dist-all:
  545. $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  546. $(am__post_remove_distdir)
  547. # This target untars the dist file and tries a VPATH configuration. Then
  548. # it guarantees that the distribution is self-contained by making another
  549. # tarfile.
  550. distcheck: dist
  551. case '$(DIST_ARCHIVES)' in \
  552. *.tar.gz*) \
  553. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  554. *.tar.bz2*) \
  555. bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  556. *.tar.lz*) \
  557. lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  558. *.tar.xz*) \
  559. xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  560. *.tar.Z*) \
  561. uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  562. *.shar.gz*) \
  563. eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  564. *.zip*) \
  565. unzip $(distdir).zip ;;\
  566. esac
  567. chmod -R a-w $(distdir)
  568. chmod u+w $(distdir)
  569. mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  570. chmod a-w $(distdir)
  571. test -d $(distdir)/_build || exit 0; \
  572. dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  573. && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  574. && am__cwd=`pwd` \
  575. && $(am__cd) $(distdir)/_build/sub \
  576. && ../../configure \
  577. $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  578. $(DISTCHECK_CONFIGURE_FLAGS) \
  579. --srcdir=../.. --prefix="$$dc_install_base" \
  580. && $(MAKE) $(AM_MAKEFLAGS) \
  581. && $(MAKE) $(AM_MAKEFLAGS) dvi \
  582. && $(MAKE) $(AM_MAKEFLAGS) check \
  583. && $(MAKE) $(AM_MAKEFLAGS) install \
  584. && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  585. && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  586. && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  587. distuninstallcheck \
  588. && chmod -R a-w "$$dc_install_base" \
  589. && ({ \
  590. (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  591. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  592. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  593. && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  594. distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  595. } || { rm -rf "$$dc_destdir"; exit 1; }) \
  596. && rm -rf "$$dc_destdir" \
  597. && $(MAKE) $(AM_MAKEFLAGS) dist \
  598. && rm -rf $(DIST_ARCHIVES) \
  599. && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  600. && cd "$$am__cwd" \
  601. || exit 1
  602. $(am__post_remove_distdir)
  603. @(echo "$(distdir) archives ready for distribution: "; \
  604. list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  605. sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  606. distuninstallcheck:
  607. @test -n '$(distuninstallcheck_dir)' || { \
  608. echo 'ERROR: trying to run $@ with an empty' \
  609. '$$(distuninstallcheck_dir)' >&2; \
  610. exit 1; \
  611. }; \
  612. $(am__cd) '$(distuninstallcheck_dir)' || { \
  613. echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  614. exit 1; \
  615. }; \
  616. test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  617. || { echo "ERROR: files left after uninstall:" ; \
  618. if test -n "$(DESTDIR)"; then \
  619. echo " (check DESTDIR support)"; \
  620. fi ; \
  621. $(distuninstallcheck_listfiles) ; \
  622. exit 1; } >&2
  623. distcleancheck: distclean
  624. @if test '$(srcdir)' = . ; then \
  625. echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  626. exit 1 ; \
  627. fi
  628. @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  629. || { echo "ERROR: files left in build directory after distclean:" ; \
  630. $(distcleancheck_listfiles) ; \
  631. exit 1; } >&2
  632. check-am: all-am
  633. check: check-recursive
  634. all-am: Makefile config.h
  635. installdirs: installdirs-recursive
  636. installdirs-am:
  637. install: install-recursive
  638. install-exec: install-exec-recursive
  639. install-data: install-data-recursive
  640. uninstall: uninstall-recursive
  641. install-am: all-am
  642. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  643. installcheck: installcheck-recursive
  644. install-strip:
  645. if test -z '$(STRIP)'; then \
  646. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  647. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  648. install; \
  649. else \
  650. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  651. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  652. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  653. fi
  654. mostlyclean-generic:
  655. clean-generic:
  656. distclean-generic:
  657. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  658. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  659. maintainer-clean-generic:
  660. @echo "This command is intended for maintainers to use"
  661. @echo "it deletes files that may require special tools to rebuild."
  662. clean: clean-recursive
  663. clean-am: clean-generic mostlyclean-am
  664. distclean: distclean-recursive
  665. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  666. -rm -f Makefile
  667. distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  668. dvi: dvi-recursive
  669. dvi-am:
  670. html: html-recursive
  671. html-am:
  672. info: info-recursive
  673. info-am:
  674. install-data-am:
  675. install-dvi: install-dvi-recursive
  676. install-dvi-am:
  677. install-exec-am:
  678. install-html: install-html-recursive
  679. install-html-am:
  680. install-info: install-info-recursive
  681. install-info-am:
  682. install-man:
  683. install-pdf: install-pdf-recursive
  684. install-pdf-am:
  685. install-ps: install-ps-recursive
  686. install-ps-am:
  687. installcheck-am:
  688. maintainer-clean: maintainer-clean-recursive
  689. -rm -f $(am__CONFIG_DISTCLEAN_FILES)
  690. -rm -rf $(top_srcdir)/autom4te.cache
  691. -rm -f Makefile
  692. maintainer-clean-am: distclean-am maintainer-clean-generic
  693. mostlyclean: mostlyclean-recursive
  694. mostlyclean-am: mostlyclean-generic
  695. pdf: pdf-recursive
  696. pdf-am:
  697. ps: ps-recursive
  698. ps-am:
  699. uninstall-am:
  700. .MAKE: $(am__recursive_targets) all install-am install-strip
  701. .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  702. am--refresh check check-am clean clean-cscope clean-generic \
  703. cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  704. dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  705. distcheck distclean distclean-generic distclean-hdr \
  706. distclean-tags distcleancheck distdir distuninstallcheck dvi \
  707. dvi-am html html-am info info-am install install-am \
  708. install-data install-data-am install-dvi install-dvi-am \
  709. install-exec install-exec-am install-html install-html-am \
  710. install-info install-info-am install-man install-pdf \
  711. install-pdf-am install-ps install-ps-am install-strip \
  712. installcheck installcheck-am installdirs installdirs-am \
  713. maintainer-clean maintainer-clean-generic mostlyclean \
  714. mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
  715. uninstall-am
  716. .PRECIOUS: Makefile
  717. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  718. # Otherwise a system limit (for SysV at least) may be exceeded.
  719. .NOEXPORT: